=== debian/changelog ===
pothos-audio (0.3.1-1) unstable; urgency=low

  * Release 0.3.1 (2018-04-11)

 -- Josh Blum <josh@pothosware.com>  Wed, 11 Apr 2018 21:27:48 -0000

pothos-audio (0.3.0-1) unstable; urgency=low

  * Release 0.3.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:19:36 -0000

pothos-audio (0.2.1-1) unstable; urgency=low

  * Release 0.2.1 (2017-07-14)

 -- Josh Blum <josh@pothosware.com>  Fri, 14 Jul 2017 21:25:27 -0000

pothos-audio (0.2.0) unstable; urgency=low

  * Release 0.2.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:08:34 -0700

pothos-audio (0.1.3) unstable; urgency=low

  * Release 0.1.3 (2016-05-10)

 -- Josh Blum <josh@pothosware.com>  Tue, 10 May 2016 10:38:13 -0700

pothos-audio (0.1.2) unstable; urgency=low

  * Release 0.1.2 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800
