=== debian/control ===
Source: pothos-audio
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpothos-dev,
    libpoco-dev (>= 1.6),
    nlohmann-json-dev,
    portaudio19-dev, libjack-jackd2-dev
Standards-Version: 4.1.1
Homepage: https://github.com/pothosware/PothosAudio/wiki
Vcs-Git: https://github.com/pothosware/PothosAudio.git
Vcs-Browser: https://github.com/pothosware/PothosAudio

Package: pothos-modules-audio
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.6-modules-audio, ${misc:Depends}
Description: Audio source and sink blocks - metapackage
 The Pothos data-flow software suite.

Package: pothos0.6-modules-audio
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio source and sink blocks
 The Pothos data-flow software suite.
